[긴급공지] 카카오 Open API 플랫폼 SSL 인증서 변경 안내 (수정됨, 재확인 필요) / [Urgent Notice] Replacing SSL certificates in Kakao Open API Platform (Revised, Need to recheck)

카카오 Open API 플랫폼에 긴급하게 변경되어야 할 부분이 있어 공지를 드립니다.

1. 원인

최근 애플이 9월 2일 Symantec 계열 루트 인증서 9개를 (macOS/iOS) 루트 저장소에서 삭제한다는 내용을 인증서 발급기관을 통해 전달받았습니다.

해당 이슈로 인해 전체 kakao.com 도메인에 대해 SSL 인증서 교체를 진행하고 있습니다.

인증서 교체를 진행할 경우, 특정 환경에서 접속이 불가능한 경우가 발생할 수 있어 공유드리니, 확인 후 조치를 부탁드립니다.

2. 대상 도메인

3. 인증서 교체 예정 일시 : 2021년 10월 1일 26일(화) 오전 11시 (아래 댓글 참고)

애플의 조치 방식에 따라, 공지한 일정보다 먼저 인증서 교체 작업이 진행될 수 있으니 이 점 유의하셔서 서비스에 지장 없도록 최대한 빠른 조치 부탁드립니다.

4. 지원 가능한 환경

신규 RootCA인 DigiCert Global Root G2에 대한 테스트는 아래의 host, port에서 테스트가 가능합니다.

host: global-root-g2.chain-demos.digicert.com
port: 443

  • iOS: iOS 7 이상

  • Android: Android SDK 5.x 이상(Android Lollipop)

  • OS X: Mavericks 이상

  • CentOS/RHEL: ca-certificates-2015.2.4-65.0.1.el6_6.noarch 이상

  • Windows: Windows XP SP3 이상

  • Java: JRE 1.8.0_101 이상 (https://www.java.com/ko/download/faq/release_changes.xml)

  • 브라우저: Firefox를 사용하는 경우 Firefox 32 이상

5. 필요조치

  • "2. 대상 도메인" API를 호출하는 서버 버전을 확인하여, "4. 지원 가능한 환경"보다 낮은 경우 업데이트가 필요합니다.

예) Java 1.8.0_101 미만의 버전 환경에서 REST API를 호출하는 경우, 에러 발생. 호출 환경의 JDK 버전 업데이트 필요.

  • 지원 가능한 버전으로 업데이트 하기 어려운 상황이라면, RootCA를 직접 추가할 수 있습니다.

https://www.digicert.com/kb/digicert-root-certificates.htm

위의 링크에서 DigiCert Global Root G2 인증서를 다운로드하여 직접 설치 가능합니다.

  • 하위 버전 카카오 SDK를 적용한 서비스에서, "4. 지원 가능한 환경"보다 낮은 OS 버전을 min 버전으로 지원하고 있다면, 서비스의 OS min 버전을 "4. 지원 가능한 환경" 이상으로 업데이트 하셔야 합니다.

  • 최신의 카카오 SDK(iOS SDK 2.x, Android SDK 2.7.0)를 사용하는 경우에는, 해당 카카오 SDK의 OS min 버전이 이미 "4. 지원 가능한 환경" 이상이기에 이슈는 없습니다.

감사합니다.

카카오디벨로퍼스


=================================================================

*If you cannot read Korean, please read the comment below.

좋아요 5
카카오 인증서 교체 관련 영향도 문의 드립니다
이번 api관련 문의입니다
Open API 플랫폼 SSL 인증서 변경 관련문의(카카오 로그인만 사용 중)
Https://t1.daumcdn.net/mapjsapi/js/main/4.4.1/kakao.js err_cert_authority_invalid
카카오 디벨로퍼스가 뭔가요
카카오 Open API 플랫폼 SSL 인증서 변경에 대해 문의 드립니다
Ssl 인증서 변경 문의
질문 --> [긴급공지] 카카오 Open API 플랫폼 SSL 인증서 변경 안내
Ssl 인증서 변경 관련 문의
Kakao.min.js net::ERR_CERT_AUTHORITY_INVALID
카카오 Open API 플랫폼 SSL 인증서 변경에 대해 문의 드립니다
카카오 api 인증서 관련 문의드립니다
카카오 Open API 플랫폼 SSL 인증서 변경건 관련 문의
[질문] 카카오 Open API 플랫폼 SSL 인증서 변경 관련
카카오 ssl 인증서 변경 관련 문의가 있습니다
카카오 ssl 인증서 변경관련 환경 문의
카카오 api 서버 ssl 인증서 교체 관련 문의 드립니다
다른 api 도 인증서 적용되나요?
카카오 Open API 플랫폼 SSL 인증서 변경에 대해 문의 드립니다
카카오 ssl 변경 관련 문의
카카오 Open API 플랫폼 SSL 인증서 변경 관련 문의드립니다
SSL 인증서 변경 관련하여 Android 5.0 미만 기기에서 카카오 SDK(JavaScript SDK , Android SDK) 모두 문제가 될 수 있나요?
Ssl 문제가 발생합니다
Ssl 인증서 대응 관련 질의 건
공지된 카카오 Open API 플랫폼 SSL 인증서 변경 안내 추가 문의
Ssl 인증서 적용
카카오 ssl 인증서 변경 관련 질문입니다
Ssl 인증서 변경 관련 서비스 확인
[문의] ssl 인증서 교체 문의
Ssl 교체 관련 문의
지도가 표시되지 않습니다
카카오싱크 퍼머링크 발급 안내
지도 조회시 오류가 발생합니다
지도 조회시 오류가 발생합니다
금일부터 카카오톡 간편 로그인이 되지 않습니다
금일부터 카카오톡 간편 로그인이 되지 않습니다
Ssl 인증서 변경(10/26)관련 문의
카카오 로그인 문의
카카오 로그인 관련 - -2147012851 | 인증 기관이 잘못되었거나 맞지 않습니다. | (0x0)
카카오계정로그인이 되지 않습니다
카카오 번역 오류 문의
카카오 도서 API 호출 시 오류
자바 버전 Java 1.8.0_101 미만일 경우
주소로 좌표를 가져오는 경우 오류 문의합니다
카카오 로그인, (REST API) , PKIX path building failed
API 인증서 관련 문의
잘 사용 되던 부분인데 갑자기 오류가 발생합니다
로컬 API 접근 시 에러
PKIX path building failed 에러
카카오 로그인 javax.net.ssl.SSLHandshakeException

질문이 많은 내용에 대해 정리합니다.

1. Kakao Developers를 사용하지 않는데 공지 메일을 받았어요.
Kakao Developers도 카카오 비즈니스 서비스의 포함되기 때문에, 카카오 비즈니스를 이용하는 통합 비즈니스 계정의 경우 공지메일을 받을 수 있습니다.
Kakao Developers를 이용하지 않고 자사의 서비스가 카카오 API를 사용하지 않는다면, 위 공지 메일 내용에 해당되지 않으니 참고 부탁드립니다.

2. 서버 OS 환경에서 ca 인증서가 지원이 되는지 어떻게 확인할 수 있나요?
CentOS/RHEL : ca-certificates-2015.2.4-65.0.1.el6_6.noarch 이상 지원이 가능하기 때문에, 아래 명령으로 확인 후 필요시 ca-certificates 를 업데이트 해주시기 바랍니다.

rpm -q ca-certificates
yum list installed | grep ca-certificates

Ubuntu 버전 상관없이 아래 명령으로 패키지내에 DigiCert Global Root G2 인증서가 있는걸 확인 가능합니다.

dpkg -L ca-certificates | grep “DigiCert_Global_Root_G2.crt”
/usr/share/ca-certificates/mozilla/DigiCert_Global_Root_G2.crt

3. ECP(전자상거래 플랫폼) 일때
카페24와 같은 ECP 업체를 통해 서비스 하시는 경우, 해당 업체에서 대응이 필요합니다.
ECP 업체는 저희 쪽 에서 별도 연락을 통해 조치를 진행할 예정입니다.

4. 카카오 SDK 버전을 올려야하나요? SDK v1을 사용하는데 어떻게 해야하나요?
카카오 Android/iOS SDK를 의미하는것이 아니고, Android/iOS 플랫폼 버전을 의미하는 것입니다.
Android min SDK 5.x 이상/iOS: iOS 7 이상 설정만 되어 있으면 됩니다.

좋아요 4

Hello. This is Kakao.

We inform you that there are urgent changes in the Kakao Open API Platform.

1. Background

On September 2nd, 2021, a certificate authority notifies that Apple will delete 9 Symantec root certificates from the (macOS/iOS) root.
Due to this issue, we are replacing the SSL certificates for the entire kakao.com domain. After or during the replacement work, you may not be able to access a domain in certain environments. Thus, please take action for this issue.

2. Target domain

3. Schedule: At 11 a.m. on October 1st October 26, 2021 (Refer to comment below)

  • Please take action as soon as possible for your service since we may start to replace certificates earlier than the announced schedule above depending on Apple’s actions.

4. Supported Environments

You can test DigiCert Global Root G2 , a new RootCA, on the following host and port.

host: global-root-g2.chain-demos.digicert.com
port: 443

  • iOS: iOS 7 or higher
  • Android: Android SDK 5.x or higher
  • OS X: Mavericks or higher
  • Windows: Windows XP SP3 or higher
  • Java: JRE 1.8.0_101 or higher (https://www.java.com/en/download/faq/release_changes.xml)
  • Browser: If using Firefox, Firefox 32 or higher
  • CentOS / RHEL: ca-certificates- 2015.2.4-65.0.1.el6_6.noarch or higher

5. What to do

  • Check the version of the server that calls the APIs in "2. Target domain", and update the server if its verion is lower than "4. Supported Environments".
  • If your service is not using the latest Kakao SDKs (iOS SDK 2.x, Android SDK 2.7.0) and supports lower OS version than "4. Supported Environments", update the minimum OS version of your service.
  • No need to update if you are using the latest Kakao SDKs.

Thank you.

Kakao Developers

좋아요 1

[재공지]

3. 인증서 교체 예정 일시 : 2021년 10월 1일 26일(화) 오전 11시

아직 애플 조치에 의한 서비스 영향도가 없고, 사용처의 인증서 대응 및 사용자의 앱 업데이트 시간을 좀 더 제공하기 위해,

인증서 교체 일정을 10월 1일에서 10월 26일로 연기하였음을 재공지드립니다.

마찬가지로 10월 26일 이전에 애플 조치로 인해 사전 공지 없이 인증서 교체가 긴급하게 이루어질 수 있음을 강조드립니다.

긴급 교체인 경우에도 교체 직전에 해당 공지 댓글로 안내드리겠습니다.

=====================================

[Reannouncement]

3. Schedule: At 11 a.m. on October 1st October 26, 2021

We postponed the certificate replacement schedule from October 1st to October 26th to provide more time to take action for the certificates being used and to update users’ apps, considering there is no impact on services yet by Apple’s actions.

We also emphasize that we may start to replace certificates earlier than the announced schedule above, depending on Apple’s actions. If so, we will notify you by leaving a comment on this post right before the replacement.

좋아요 2

안녕하세요. 카카오 입니다.

공지 한대로
2021년 10월 26일(화) 오전 11시
인증서 교체 시작합니다.

감사합니다.


As we announced, we will start to replace the certificates from 11 a.m. on Tuesday, October 26, 2021.
Thank you.

인증서 교체가 완료되었습니다.
감사합니다.

좋아요 1